# Interface ColumnPlan

public interface ColumnPlan
Describes the arrangement of columns in the output table based on the columns in the upload and raw result tables.

Since:
  5 Jun 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getOutputColumnCount()`
Returns the number of columns in the output table.
`int`
`getOutputColumnLocation(int icolOutput)`
Returns a coded value indicating where to find the column corresponding to a given output column.
`int`
`getResultIdColumnIndex()`
Returns the index of the row identifier column in the result table.
`int`
`getResultScoreColumnIndex()`
Returns the index of the match score column in the result table.

## Method Details

### getOutputColumnCount

int getOutputColumnCount()
Returns the number of columns in the output table.

Returns:
  output column count

### getOutputColumnLocation

int getOutputColumnLocation(int icolOutput)
Returns a coded value indicating where to find the column corresponding to a given output column. If the result is positive, then return_value is a column index in the raw result table. If the result is negative, then (-return_value-1) is column index in the upload table

Parameters:
  `icolOutput` - column index in output table
Returns:
  coded location for column source

### getResultIdColumnIndex

int getResultIdColumnIndex()
Returns the index of the row identifier column in the result table.

Returns:
  identifer column index

### getResultScoreColumnIndex

int getResultScoreColumnIndex()
Returns the index of the match score column in the result table. Must point to an actual column.

Returns:
  score column index